DELETE

Remove Role Admins

Use this API to delete a role administrator .

Be careful, this operation is final and can’t be undone.

Resource URL

https://<subdomain>.onelogin.com/api/2/roles/:id/admins

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using Manage All.

Request Parameter

user_id

required

array

Set user_id values in array, for example: [123, 456, 678].

The request body must be the JSON array itself, for example: [123, 456, 678]. Do not wrap it in an object such as {"user_id": [123, 456, 678]} — the API rejects that form with 400 Expected array in request.

Sample Responses

Success. The user has been deleted. No content is returned.

Typically, this error means that your Authorization header value is missing or incorrectly formatted. The Authorization header value should use this format: bearer <access_token>.

{
    "message": "Unauthorized",
    "statusCode": 401,
    "name": "UnauthorizedError"
}

You attempted to delete a user that does not exist.

{
    "message": "The resource with the given id could not be found",
    "statusCode": 404,
    "name": "NotFoundError"
}

Postman Collection

Run In Postman

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

Delete Role Administrator

curl 'https://<subdomain>.onelogin.com/api/2/roles/:id/admins' \
-X DELETE \
-H "Authorization: bearer <access_token>" \
-d '[123, 456, 789]'